#!/bin/bash

# This script does all actions in backend production environment

rm -f /tmp/stop
cd `dirname "$0"`

source config.sh

if [ "$UID" = "0" ]
then
    SCRIPT=`pwd`/`basename "$0"`
    su -c "sh $SCRIPT" "$SYNCHRO_USER"
    exit $?
fi

mkdir -p ./logs

touch ./logs/checks.log
tail -f ./logs/checks.log &
KP1=$!

TMPF=`mktemp`

tail -f "$TMPF" | ./gen_site.pl -d -s /tmp/scheduler.sock -o ./out ERRORS HOME all DS &
KP2=$!

trap "kill $KP1 $KP2; rm -rf '$TMPF'; echo" SIGINT SIGTERM

while ! [ -f /tmp/stop ];
do
    ./synchro.sh delete

    if [ `ls submission | wc -l` -gt 1 ]
    then
	./clear_cache.sh top
	./check.pl 2>> ./logs/checks.log >> "$TMPF"

    else
	sleep 1
    fi
done

kill -9 $KP1 $KP2

rm -rf "$TMPF"
