{extends file="admin/layout.tpl"}

{block name=content}
<div class="row">
  <div class="col-md-6">
    <div class="panel panel-primary">
      <div class="panel-heading">
        <h3 class="panel-title">Certificat racine</h3>
      </div>
      <div class="panel-body">
      {if isset($cert_CA)}
        <ul>
          {foreach from=$cert_CA.subject key=k item=crt}
          <li><strong>[{$k}] :</strong> {$crt}</li>
          {/foreach}
        </ul>
        <a href="/{$SALT_ADMIN}/certificate/deleteca" class="btn btn-danger"
           onclick="return confirm('Êtes-vous sûr de vouloir supprimer ce certificat ?')">Supprimer</a>
      {elseif ! $cert_writable}
        <div class="alert alert-danger"><span class="glyphicon glyphicon-warning-sign"></span> Répertoire non accessible en écriture.</div>
        <a href="/{$SALT_ADMIN}/certificate/newca" class="btn btn-primary" disabled="disabled">Nouveau</a>
      {else}
        Pas de certificat
        <a href="/{$SALT_ADMIN}/certificate/newca" class="btn btn-primary">Nouveau</a>
      {/if}
      </div>
    </div>
  </div>

  <div class="col-md-6">
    <div class="panel panel-info">
      <div class="panel-heading">
        <h3 class="panel-title">Certificat serveur</h3>
      </div>
      <div class="panel-body">
      {if isset($cert_srv)}
        <ul>
          {foreach from=$cert_srv.subject key=k item=crt}
          <li><strong>[{$k}] :</strong> {$crt}</li>
          {/foreach}
        </ul>
        <a href="/{$SALT_ADMIN}/certificate/revokesrv" class="btn btn-danger"
           onclick="return confirm('Êtes-vous sûr de vouloir supprimer ce certificat ?')">Supprimer</a>
      {elseif ! $cert_writable}
        <div class="alert alert-danger"><span class="glyphicon glyphicon-warning-sign"></span> Répertoire non accessible en écriture.</div>
        <a href="/{$SALT_ADMIN}/certificate/newsrv" class="btn btn-primary" disabled="disabled">Nouveau</a>
      {else}
        Pas de certificat
        <a href="/{$SALT_ADMIN}/certificate/newsrv" class="btn btn-primary">Nouveau</a>
      {/if}
      </div>
    </div>
  </div>
</div>

<div class="panel panel-default">
  <div class="panel-heading">
    <h3 class="panel-title">Chrono <span class="label label-{if isset($END)}success">Lanc&eacute;{else}danger">Arr&ecirc;t&eacute;{/if}</span></h3>
  </div>
  <div class="panel-body">
    <form method="post" action="/{$SALT_ADMIN}/chrono/start" role="form" class="form-inline">
      <div class="form-group">
	<label class="sr-only" for="time">Temps :</label>
	<div class="input-group">
	  <input type="input" class="form-control" id="time" name="time" value="240">
	  <span class="input-group-addon">minutes</span>
	</div>
      </div>
      <div class="form-group">
	<button type="submit" class="btn btn-success">Start</button>
	<a href="/{$SALT_ADMIN}/chrono/init" class="btn btn-danger">R&eacute;initialiser</a>
      </div>
    </form>
  </div>
</div>
{/block}
