#!/bin/bash

# This script synchronizes first, the generated frontend and then
# retrieves submissions

cd `dirname "$0"`

source config.sh

if [ "$UID" = "0" ]
then
    SCRIPT=`pwd`/`basename "$0"`
    su -c "sh $SCRIPT $@" "$SYNCHRO_USER"
    exit $?
fi

OPTS=
if [ "$1" = "delete" ]
then
    OPTS="$OPTS --delete"
fi

# Synchronize HTML pages
rsync -e ssh -av  $OPTS out "$FRONTEND_HOSTNAME":~/
rsync -e ssh -avL $OPTS files "$FRONTEND_HOSTNAME":~/
rsync -e ssh -av  $OPTS front/ misc/shared/ "$FRONTEND_HOSTNAME":~/

# Synchronize submissions
rsync -e ssh -av "$FRONTEND_HOSTNAME":~/submission/ submission/
ssh "$FRONTEND_HOSTNAME" "rm -fv ~/submission/*"

exit $?
